PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Functions
PDL API Reference » SysPm (System Power Management) » PDCM (Power Dependency Control Matrix)

## General Description

## Functions
cy_pd_pdcm_dep_t | cy_pd_pdcm_get_dependency (cy_pd_pdcm_id_t host_pd, cy_pd_pdcm_id_t dest_pd)
| Gets the dependency between two Power Domains. More...
cy_en_syspm_status_t | cy_pd_pdcm_set_dependency (cy_pd_pdcm_id_t host_pd, cy_pd_pdcm_id_t dest_pd)
| Set the dependency between two Power Domains. More...
cy_en_syspm_status_t | cy_pd_pdcm_clear_dependency (cy_pd_pdcm_id_t host_pd, cy_pd_pdcm_id_t dest_pd)
| Clears the dependency between two Power Domains. More...

## Function Documentation

## ◆ cy_pd_pdcm_get_dependency()

cy_pd_pdcm_dep_t cy_pd_pdcm_get_dependency | ( | cy_pd_pdcm_id_t | host_pd,
|  | cy_pd_pdcm_id_t | dest_pd
| ) |  |

Gets the dependency between two Power Domains.

Parameters

  host_pd | This parameter contains the Host Power Domain ID from where the dependency has to be obtained at w.r.to dest_pd(Destination Power Domain). cy_pd_pdcm_id_t.
  dest_pd | This parameter contains the Destination Power Domain ID cy_pd_pdcm_id_t

Returns
  Contains the dependency cy_pd_pdcm_dep_t

## ◆ cy_pd_pdcm_set_dependency()

cy_en_syspm_status_t cy_pd_pdcm_set_dependency | ( | cy_pd_pdcm_id_t | host_pd,
|  | cy_pd_pdcm_id_t | dest_pd
| ) |  |

Set the dependency between two Power Domains.

Parameters

  host_pd | This Parameter contains the Host Power Domain ID from where the dependency has to be set w.r.to dest_pd(Destination Power Domain). cy_pd_pdcm_id_t.
  dest_pd | This Parameter contains the Destination Power Domain ID cy_pd_pdcm_id_t

Returns
  Contains the status of the API call cy_en_syspm_status_t

## ◆ cy_pd_pdcm_clear_dependency()

cy_en_syspm_status_t cy_pd_pdcm_clear_dependency | ( | cy_pd_pdcm_id_t | host_pd,
|  | cy_pd_pdcm_id_t | dest_pd
| ) |  |

Clears the dependency between two Power Domains.

Parameters

  host_pd | This parameter contains the Host Power Domain ID from where the dependency has to be cleared w.r.to dest_pd(Destination Power Domain). cy_pd_pdcm_id_t.
  dest_pd | This Parameter contains the Destination Power Domain ID cy_pd_pdcm_id_t

Returns
  Contains the status of the API call cy_en_syspm_status_t